From c71aa0b9db01605d55878a17d0254fba0c28cce7 Mon Sep 17 00:00:00 2001
From: rudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>
Date: Wed, 15 Nov 2006 22:27:47 +0000
Subject: movendo...

git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@668 370017ae-e619-0410-ac65-c121f96126d4
---
 system/fs/cryptsetup/cryptsetup-luks.SlackBuild | 120 ++++++++++++++++++++++++
 system/fs/cryptsetup/cryptsetup.SlackBuild      | 120 ++++++++++++++++++++++++
 system/fs/cryptsetup/slack-required             |   2 +
 3 files changed, 242 insertions(+)
 create mode 100755 system/fs/cryptsetup/cryptsetup-luks.SlackBuild
 create mode 100755 system/fs/cryptsetup/cryptsetup.SlackBuild
 create mode 100644 system/fs/cryptsetup/slack-required

(limited to 'system/fs/cryptsetup')

diff --git a/system/fs/cryptsetup/cryptsetup-luks.SlackBuild b/system/fs/cryptsetup/cryptsetup-luks.SlackBuild
new file mode 100755
index 00000000..67f3a16d
--- /dev/null
+++ b/system/fs/cryptsetup/cryptsetup-luks.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+#
+# slackbuild script for cryptsetup-luks
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+  echo Recomended and required packages for building cairo are:
+  cat slack-required | sed -e 's/^/\t/'
+  if [ "$INTERACT" != "no" ]; then
+    echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+    read crap
+#  else
+#    echo Sleeping 3 seconds...
+#    sleep 3
+  fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+  source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+  source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="cryptsetup-luks"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=1.0.3}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+# -------  error codes for createpkg  --------------
+ERROR_WGET=31;      ERROR_MAKE=32;      ERROR_INSTALL=33
+ERROR_MD5=34;       ERROR_CONF=35;      ERROR_HELP=36
+ERROR_TAR=37;       ERROR_MKPKG=38;     ERROR_GPG=39
+ERROR_PATCH=40
+
+if [ "$ARCH" == "x86_64" ]; then
+  LIBDIR=/usr/lib64
+else
+  LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://luks.endorphin.org/source/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+  tarflag="j"
+else
+  tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+  wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+               |-----handy-ruler-----------------------------------------------------|
+cryptsetup-luks: crypstsetup-luks (userland tool for dm-crypt)
+cryptsetup-luks:
+cryptsetup-luks: LUKS is the upcoming standard for Linux hard disk encryption.
+cryptsetup-luks: By providing a standard on-disk-format, it does not only facilitate
+cryptsetup-luks: compatibility among distributions, but also provide secure management
+cryptsetup-luks: of multiple user passwords. In contrast to existing solution, LUKS
+cryptsetup-luks: stores all setup necessary setup information in the partition header,
+cryptsetup-luks: enabling the user to transport or migrate his data seamlessly. LUKS
+cryptsetup-luks: for dm-crypt is implemented in cryptsetup. cryptsetup-luks is intended
+cryptsetup-luks: as a complete replacement for the original cryptsetup. It provides
+cryptsetup-luks: all the functionally of the original version plus LUKS features.
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README; do
+  cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+  rm -rf $TMP
+fi
+
diff --git a/system/fs/cryptsetup/cryptsetup.SlackBuild b/system/fs/cryptsetup/cryptsetup.SlackBuild
new file mode 100755
index 00000000..3fd57c14
--- /dev/null
+++ b/system/fs/cryptsetup/cryptsetup.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+#
+# slackbuild script for cryptsetup
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+  echo Recomended and required packages for building cairo are:
+  cat slack-required | sed -e 's/^/\t/'
+  if [ "$INTERACT" != "no" ]; then
+    echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+    read crap
+#  else
+#    echo Sleeping 3 seconds...
+#    sleep 3
+  fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+  source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+  source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="cryptsetup"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.1}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+# -------  error codes for createpkg  --------------
+ERROR_WGET=31;      ERROR_MAKE=32;      ERROR_INSTALL=33
+ERROR_MD5=34;       ERROR_CONF=35;      ERROR_HELP=36
+ERROR_TAR=37;       ERROR_MKPKG=38;     ERROR_GPG=39
+ERROR_PATCH=40
+
+if [ "$ARCH" == "x86_64" ]; then
+  LIBDIR=/usr/lib64
+else
+  LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://www.saout.de/misc/dm-crypt/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+  tarflag="j"
+else
+  tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+  wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+          |-----handy-ruler-----------------------------------------------------|
+cryptsetup: crypstsetup (userland tool for dm-crypt)
+cryptsetup:
+cryptsetup: cryptsetup is a wrapper for dm-setup to create encrypted volumes.
+cryptsetup:
+cryptsetup:
+cryptsetup:
+cryptsetup:
+cryptsetup:
+cryptsetup:
+cryptsetup:
+cryptsetup:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README; do
+  cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+  rm -rf $TMP
+fi
+
diff --git a/system/fs/cryptsetup/slack-required b/system/fs/cryptsetup/slack-required
new file mode 100644
index 00000000..3ec97401
--- /dev/null
+++ b/system/fs/cryptsetup/slack-required
@@ -0,0 +1,2 @@
+libgcrypt
+libgpg-error
-- 
cgit v1.2.3